module gedo.audio.gal;



//LDFLAGS=$(TMP)/libgal.a -lvorbisfile -lvorbis -logg -lSDL
public import gedo.text.convert;



struct GAL_Music{}
struct GAL_Sound{}
struct GAL_Source{}



extern(C)
{
	void GAL_initialize(int argc, stringz* argv);
	void GAL_quit();
	GAL_Music* GAL_createMusic(stringz fileName, double loopPosition);
	void GAL_stopMusic();
	void GAL_muteMusic(int mute);
	void GAL_releaseMusic(GAL_Music* music);
	void GAL_playMusic(GAL_Music* music);
	GAL_Sound* GAL_createSound(stringz fileName);
	void GAL_releaseSound(GAL_Sound* sound);
	uint GAL_soundSize(GAL_Sound* sound);
	GAL_Source* GAL_createSource();
	void GAL_releaseSource(GAL_Source* source);
	void GAL_setSource(GAL_Source* source, GAL_Sound* sound);
	void GAL_playSource(GAL_Source* source);
	void GAL_stopSource(GAL_Source* source);
	void GAL_setVolume(float bgm, float se);
	void GAL_getVolume(float* bgm, float* se);
}
